| Irrlicht 3D Engine |

Public Attributes
irr::scene::SMD3Header Struct Reference

this holds the header info of the MD3 file More...

`#include <IAnimatedMeshMD3.h>`

List of all members.

## Public Attributes

- s8 fileName [68]
- s32 fileSize
- s32 frameStart
- c8 headerID [4]
- s32 numFrames
- s32 numMaxSkins
- s32 numMeshes
- s32 numTags
- s32 tagEnd
- s32 tagStart
- s32 Version

## Detailed Description

this holds the header info of the MD3 file

Definition at line 81 of file IAnimatedMeshMD3.h.

## Member Data Documentation

s8 irr::scene::SMD3Header::fileName[68]

Definition at line 85 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::fileSize

Definition at line 93 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::frameStart

Definition at line 90 of file IAnimatedMeshMD3.h.

c8 irr::scene::SMD3Header::headerID[4]

Definition at line 83 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::numFrames

Definition at line 86 of file IAnimatedMeshMD3.h.

Referenced by irr::scene::SMD3Mesh::SMD3Mesh().

s32 irr::scene::SMD3Header::numMaxSkins

Definition at line 89 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::numMeshes

Definition at line 88 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::numTags

Definition at line 87 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::tagEnd

Definition at line 92 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::tagStart

Definition at line 91 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3Header::Version

Definition at line 84 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h